Skip to main content
POST
/
api2
/
v1
/
priceLists
/
{priceListUid}
/
clone
Clone price list
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/clone \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/clone"

headers = {"Authorization": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "currencyCode": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "isDefault": true,
  "priceSets": [
    {
      "minimumPrice": 123,
      "prices": [
        {
          "price": 123,
          "workflowStep": {
            "abbr": "<string>",
            "id": "<string>",
            "lqaEnabled": true,
            "name": "<string>",
            "order": 123,
            "uid": "<string>"
          }
        }
      ],
      "sourceLang": "<string>",
      "targetLang": "<string>"
    }
  ],
  "uid": "<string>"
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

priceListUid
string
required

Unique identifier of the price list

Response

OK

Price list with set of prices for language pairs

name
string
required

Name of the price list

billingUnit
enum<string>

Billing unit for prices

Available options:
Word,
Page,
Character,
Hour
currencyCode
string

Currency code for the price list

dateCreated
string<date-time>

Date the price list was created

id
string
read-only

Internal numeric identifier, encoded as a string

isDefault
boolean

When true, this is the default price list for the organization

priceSets
object[]

Language pairs with associated prices

uid
string

Unique identifier used in API paths